#!/bin/bash

#ibeg=$1
#istp=$2
#nhrs=$3
#odir=$4
#cdir=$5


ibeg=2013100312
istp=2013100411
nhrs=24
odir=2013_10_03_00

cdir=/home/schaack/PROJECTS/REALTIME_PROXY/625X421/GRB_REMAP
export user_dir=/home/schaack
export savdir=/cimss/REALTIME_PROXY
echo 'cdir '$cdir
cd $cdir

#make date directory in GRB and VAL directories

grb_dir=/cimss/REALTIME_PROXY/CRTMOUT/625X421/GRB_FILES/${odir}
val_dir=/cimss/REALTIME_PROXY/CRTMOUT/625X421/VAL_FILES/${odir}
val_dir_cmask=/cimss/REALTIME_PROXY/CRTMOUT/625X421/VAL_FILES_CMASK/${odir}

if [ ! -e ${grb_dir} ]; then
 mkdir ${grb_dir}
fi

if [ ! -e ${val_dir} ]; then
 mkdir ${val_dir}
fi

if [ ! -e ${val_dir_cmask} ]; then
 mkdir ${val_dir_cmask}
fi

#remove previous days validation files
#/bin/rm ${val_dir}/GRB*

#use WRFDA routine to increment time
new_date=/home/schaack/UTILS/da_advance_time.exe

rm toa_rads.realtime.fil

touch toa_rads.realtime.fil

echo ${nhrs} >> toa_rads.realtime.fil

current_time=${ibeg}

while [ ${current_time} -lt ${istp} ]
do
echo 'time '${current_time}

year=`echo "${current_time}" | cut -c1-4`
month=`echo "${current_time}" | cut -c5-6`
day=`echo "${current_time}" | cut -c7-8`
hr=`echo "${current_time}" | cut -c9-10`

echo /$odir/TOArads_abi_crtmir_2km_${year}.${month}.${day}.${hr}0000_CRTM_V2.04_realtime.default.emissivity.nc >> toa_rads.realtime.fil
##########echo /$odir/TOArads_abi_crtmvis_2km_${year}.${month}.${day}.${hr}0000_CRTM_V2.04_realtime.default.reflectivity.nc >> toa_rads.realtime.fil

gdate=$($new_date $current_time 1h)
current_time=$gdate
done

#execute idl programs

idl -queue < run_grb_man.sh

exit
