@./sub_pro/READ_CALNEX_NETCDF_01.PRO                                      ;/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/READ_CALNEX_NETCDF_01.PRO                 ;
@./sub_pro/READ_ABI_NETCDF_01.PRO                                         ;@/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/READ_ABI_NETCDF_01.PRO                    ;
@./sub_pro/SUBSET_DATA.PRO                                                ;@/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/SUBSET_DATA.PRO                           ;
@./sub_pro/WRITE_CMIP_FROM_GRB_SCALED_NETCDF.PRO                          ;@/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/WRITE_CMIP_FROM_GRB_SCALED_NETCDF.PRO     ;
@./sub_pro/WRITE_GRB_SCALED_NETCDF.PRO                                    ;@/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/WRITE_GRB_SCALED_NETCDF.PRO               ;
@./sub_pro/WRITE_VAL_CRTM_FROM_GRB_SCALED_NETCDF.PRO                      ;@/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/WRITE_VAL_CRTM_FROM_GRB_SCALED_NETCDF.PRO    ;
@./sub_pro/print_netcdf.pro                                               ;@/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/print_netcdf.pro                            ;@./sub_pro/print_netcdf.pro
@./sub_pro/WRITE_VAL_APP_CMASK_CRTM_FROM_GRB_SCALED_NETCDF.PRO            ;@/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/sub_pro/WRITE_VAL_APP_CMASK_CRTM_FROM_GRB_SCALED_NETCDF.PRO    ;


PRO fd_netcdf_grb_val_netcdf_fgf

; get environment variables

 savdir=getenv('savdir')            ;'/home/kbah/code/projects/wrfchem-fd/output/'               
 PROG_DIR=getenv('PROG_DIR')        ;'/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/'    
 grid_dims=getenv('grid_dims')      ;'5424X5424'  
 cdir=getenv('cdir')                ;'/home/kbah/code/projects/wrfchem-fd/code/in-cardinal/'   ;getenv('cdir')

 print,'cdir', cdir

       inpre0= '/home/kbah/code/projects/wrfchem-fd/input/'     ;  '/home/kbah/code/projects/wrfchem-fd/input/'   
       outprev=savdir+'/CRTMOUT/'+grid_dims+'/VAL_FILES/'             ;;; VAL OUPUT    ...
       outprec=savdir+'/CRTMOUT/'+grid_dims+'/VAL_FILES_CMASK/'      ;;; VAL FILES WITH CLOUDMASK APPLIED ...


;  txt_file=PROG_DIR+'/GRB_REMAP/toa_rads.realtime.fil'
   txt_file=cdir+'/toa_rads.realtime.fil'
   print,savdir
   print,PROG_DIR,' ',txt_file
     
openr,lun, txt_file, /get_lun   ;'wrfout.8km.realtime.fil'
nfiles=0l
readf,lun,nfiles
netcdf_file=''
readf,lun,netcdf_file
result=str_sep(netcdf_file,'/')
netcdf_date=result(1)
print,'netcdf date ',netcdf_date
outpreg=outpreg+netcdf_date+'/'
outprev=outprev+netcdf_date+'/'
outprec=outprec+netcdf_date+'/'
inpre0=inpre0+ netcdf_date+'/'
close,lun
     
     
       
     ;  file_path=inpre0 + text_file
     ;;  
     ;  OPENR, lun, file_path, /get_lun
     ;  READF, lun, count
     ;  temp_dir=STRARR(count)
     ;    
     ;         READF, lun, temp_dir
     ;   CLOSE,lun
       
          
       outpre01= outpreg  &    outpre02= outprev  & outpre03=outprec 
      
      vis_files= FILE_SEARCH(inpre0, '*crtmvis*.nc')         ;; SEARCH FOR ALL VISIBLE INPUT FILES
      ir_files=  FILE_SEARCH(inpre0, '*crtmir*.nc')          ;; SEARCH FOR ALL IR INPUT FILES
        
      vis_vars=['ABI_rad_b01', 'ABI_rad_b02',  'ABI_rad_b03',  'ABI_rad_b04',  'ABI_rad_b05',  'ABI_rad_b06']      ;; DESIRED VIS VARIABLES TO  GET FROM A FILE
      ir_vars=['ABI_rad_b07',  'ABI_rad_b08',  'ABI_rad_b09',  'ABI_rad_b10', 'ABI_rad_b11',  'ABI_rad_b12', $    
                 'ABI_rad_b13', 'ABI_rad_b14','ABI_rad_b15', 'ABI_rad_b16']                                         ;; DEIRED IR VAIRABLES TO GET FROM A FILE  
      
        esun_ratio=[0.976897, 0.991542, 1.01959, 0.996777, 1.01034, 0.992233] ;RATIO (ATBD/CRTM)
      
          
        MAKE_BANDLOOP,vis_files, vis_vars, outpre01, outpre02, outpre03, visir='vis', rep=6, esun_ratio    ;;; FOR WRITTING OUT VISIBLE GRB SCALED FILES 
        MAKE_BANDLOOP,  ir_files, ir_vars, outpre01, outpre02, outpre03, visir='ir', rep=10, esun_ratio     ;;; FOR WRITTING OUT IR GRB SCALED FILES


    
END

FUNCTION READ_FILES,infiles, vars=vars, rep=rep
    xx=5424 &  yy=5424     ; xx=830 &  yy=530
    data=READ_CALNEX_NETCDF_01(infiles, xx=xx, yy=yy, rep=rep, vars=vars, latlon=1);,vars=vars, nvars=1, lineele=0, ii=ii)
 RETURN, data 
END


;;; READ INPUT FILE, CREATE UNIQUE NAME FOR OUTPUT FILE, CALL THE WRITTING SUBROUNTINGS IN A LOOP.
PRO MAKE_BANDLOOP,infiles, vars, outpre01,outpre02, outpre03, visir=visir, rep=rep, esun_ratio  
     tot_newfiles=N_ELEMENTS(infiles)
     IF (tot_newfiles GE 1) THEN BEGIN  
     FOR jj=0, tot_newfiles-1 DO BEGIN  ;tot_newfiles-1
        spos=STRPOS(infiles(jj),'_2km',  /REVERSE_SEARCH)
        epos=STRPOS(infiles(jj), '.cimss',    /REVERSE_SEARCH) 
        outpost='TOArads_abi'+STRMID(infiles(jj), spos, (epos+6-spos))+'.nc'
     data=READ_FILES(infiles(jj), vars=vars, rep=rep)  
    
     mic_rad= '5.6e-05' 
     lats=data.lats
     lons=data.lons
    
     
      FOR aa=0, N_ELEMENTS(vars)-1 DO BEGIN     ;;;Changed 1 to 2 because we do not need to write "cloud_mask" out as  separate file.
          bb='band0'+STRTRIM(STRING(aa+1),1)         
           IF (visir EQ 'ir') THEN BEGIN 
              ww=6+aa
              bb='band0'+STRTRIM(STRING(ww+1),1) 
              IF (ww GE 9) THEN   bb='band'+STRTRIM(STRING(ww+1),1) 
          ENDIF     
        outpre1=outpre01+'GRB_scaled_'+ bb+ '_'+outpost   
         esun='_'
         IF (visir EQ 'vis') THEN esun='_esun_'
         ; outpre2=outpre02+'GRB_VAL'+esun+ bb+ '_'+outpost 
           outpre2=outpre02+'GRB_VAL_'+ bb+ '_'+outpost       
           outpre3=outpre03+'GRB_VAL_CMASK_'+ bb+ '_'+outpost        
       
         ii=aa+1
         IF (visir EQ 'ir') THEN ii=ww+1
         
          IF (visir EQ 'vis') THEN  tt=6-1
          IF (visir EQ 'ir') THEN  tt=10-1
          
          cloudmask=(data.DATASET(tt))   ;;; Grab the cloudmask array structure out of the  remapped data set.
                  ;;;;;REVERSE THE CLOUDMASK TO MATCH DATA BEFORE OUTPUTTING: 
         cloudmask.data(*,*)=REVERSE(cloudmask.data(*,*),2)
      ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  
          
        WRITE_GRB_SCALED_NETCDF,data, outpre1, katr, ii=ii, mic_rad=mic_rad, aa=aa
;        WRITE_VAL_CRTM_FROM_GRB_SCALED_NETCDF, outpre1, outpre2, multivar,katr, cloudmask=cloudmask,ii=ii, mic_rad=mic_rad,esun_ratio=esun_ratio, lats=lats, lons=lons
;        WRITE_VAL_APP_CMASK_CRTM_FROM_GRB_SCALED_NETCDF, outpre1, outpre3, multivar,katr, cloudmask=cloudmask,ii=ii, mic_rad=mic_rad,esun_ratio=esun_ratio, lats=lats, lons=lons
      ;;  WRITE_CMIP_FROM_GRB_SCALED_NETCDF,outpre1, outpre3,multivar,katr, latlonfile, data2, ii=ii, mic_rad=mic_rad
;      print, 'stop"
   ENDFOR     
  ;print, 'DONE'

   ENDFOR
  ENDIF 
END
