#!/bin/bash

#export IDL_DIR=/home/schaack/idl/8.2/idl
export LM_LICENSE_FILE=1700@license.ssec.wisc.edu:$LM_LICENSE_FILE
#export PATH=/home/schaack/idl/8.2/idl/bin:$PATH
export IDL_DIR=/home/lenzen/idl/8.4/idl
export PATH=/home/lenzen/idl/8.4/idl/bin:$PATH

ibeg=$1
istp=$2
nhrs=$3
odir=$4
export cdir=$5
user_dir=$6
export PROG_DIR=$7
sdir=$8
export grid_dims=$9
export savdir=$sdir

echo 'cdir '$cdir
cd $cdir

#make date directory in GRB and VAL directories

grb_dir=${savdir}/CRTMOUT/${grid_dims}/GRB_FILES/${odir}
##val_dir=${savdir}/CRTMOUT/${grid_dims}/VAL_FILES/${odir}
#val_dir_mask=${savdir}/CRTMOUT/${grid_dims}/VAL_FILES_CMASK/${odir}

echo 'grb_dir '$grb_dir
if [ ! -e ${grb_dir} ]; then
 mkdir ${grb_dir}
fi

#if [ ! -e ${val_dir} ]; then
# mkdir ${val_dir}
#fi

#if [ ! -e ${val_dir_mask} ]; then
# mkdir ${val_dir_mask}
#fi

#remove previous days validation files
###/bin/rm ${val_dir}/GRB*

#use WRFDA routine to increment time
new_date=${user_dir}/UTILS/da_advance_time.exe

rm toa_rads.realtime.fil

touch toa_rads.realtime.fil

echo ${nhrs} >> toa_rads.realtime.fil

current_time=${ibeg}

while [ ${current_time} -lt ${istp} ]
do
echo 'time '${current_time}

year=`echo "${current_time}" | cut -c1-4`
month=`echo "${current_time}" | cut -c5-6`
day=`echo "${current_time}" | cut -c7-8`
hr=`echo "${current_time}" | cut -c9-10`

echo /$odir/TOArads_abi_crtmir_2km_${year}.${month}.${day}.${hr}0000_CRTM_V2.1_realtime.cimss.emissivity.nc >> toa_rads.realtime.fil
echo /$odir/TOArads_abi_crtmvis_2km_${year}.${month}.${day}.${hr}0000_CRTM_V2.1_realtime.cimss.reflectivity.nc >> toa_rads.realtime.fil

gdate=$($new_date $current_time 1h)
current_time=$gdate
done

#execute idl programs

idl -queue < run_grb.sh

exit
