#!/bin/bash

#this script pushs GRB files to ssec ftp for AIT to pull

#current_time - day this script is run
#savdisk - output directory root e.g. /cimss/REALTIME_PROXY
#bday - GRB directory name YYY_MM_DD_00

current_time=$1
savdisk=$2

#current_time is day this script is run
year=`echo "${current_time}" | cut -c1-4`
month=`echo "${current_time}" | cut -c6-7`
day=`echo "${current_time}" | cut -c9-10`
hr=`echo "${current_time}" | cut -c12-13`

#make directory name of CRTM out

bday=${year}_${month}_${day}_${hr}

echo ' Tar files in GRB date directory '${bday}

cd /delta/scratch/realtime_wrf_abi/hourly



#ftp nssl data
HOST=ftp.ssec.wisc.edu
USER=anonymous
PASS=todds@ssec.wisc.edu
ftp -inv $HOST << EOF
user $USER $PASS
cd pub/raqms/NSSL_WRF 
binary
prompt
put $PWD/wrfout_d01_2013-03-21_12:00:00
bye
EOF

/bin/rm *.tar

exit
