
;;;;***********************************************************************************************
PRO WRITE_GRB_SCALED_NETCDF,data, outpre,katr, ii=ii, mic_rad=mic_rad, aa=aa
   	ncoutfile=outpre ;+'.nc'
  	
  	
  	
  	
	  spos=STRPOS(outpre,'2km_',  /REVERSE_SEARCH)
    ayear=STRMID(outpre, spos+4, 4 )   &    amonth=STRMID(outpre, spos+9, 2)
	  aday=STRMID(outpre, spos+12, 2 )    &    hrs=STRMID(outpre, spos+15, 2)
	  mins=STRMID(outpre, spos+17, 2 )          ;;;&    ayear=STRMID(outpre, spos+4, 4 )
	
	;sdata=SUBSET_DATA(data, multivar,ii, katr) ;; subset lat/lon and data to avoid lat lon missing values
		
	ntimes= size(data.dataset.data,/DIMENSIONS) & uu=size(data.dataset(0).data, /DIMENSIONS)
	xsize=LONG(uu(0)) & ysize=LONG(uu(1))         ;;2654,1222 i.e x and y dimensions. 

	newdata00=data.dataset(aa).data 
	xx=data.x
	;yy=data.y
	yy=data.y
	yy.data=REVERSE(yy.data)
	proj_info=data.proj_info
	;elements=data.elements
	;lines=data.lines 
	gatts=data.gats
	
	
	
	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	;;;;;;  NOTE WE WILL APPLY THIS ONLYTO THE VISIBLE BANDS TO CORRECT FOR UNITS
  ;;;;;   convert from W/m^2/sr/um to mW/m^2/sr/cm^-1)                         ;;;;;;;;;  
   min_wavelength=[0.45, 0.59, 0.846, 1.371, 1.58, 2.225]
   max_wavelength=[0.49, 0.69, 0.885, 1.386, 1.64, 2.275]
index=where(newdata00 gt -999.)
;print,' before ',max(newdata00(index)),min(newdata00(index))   
   IF(ii LE 6) THEN BEGIN
      abiscale=1000.*( max_wavelength(ii-1)- min_wavelength(ii-1))/(1.e4/ min_wavelength(ii-1)-1.e4/ max_wavelength(ii-1))
      
       newdata00(index)= newdata00(index)/abiscale
   ENDIF
;print,' after ',max(newdata00(index)),min(newdata00(index))
   
  
   ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
;	ff=size(newdata00)
;	newdata0=FLTARR(FF[1],FF[2],1)
;	newdata0(*,*,0)=newdata00 & lats=lats0 & lons=lons0  ;& newdata2=sdata.data2
	
bnumber=['0.47','0.64', '0.865', '1.378', '1.61', '2.25', '3.90', '6.19', $
         '6.95', '7.34', '8.50', '9.61', '10.35', '11.2', '12.3', '13.3']
 ;ii=aa
	IF (ii LE 6) THEN BEGIN
		bb= STRING('0'+STRTRIM(ii,1))
		dname0='Rad'  ;'ABI_Scaled_b'+ bb ;'ABI_scaledint_'+bb 
		lname0='ABI scaled radiance band0' +strtrim(string(ii),1) +  ' (' + bnumber(ii-1) + 'um)' ;sdata.dattrv(0)+ ' ('+ bnumber(ii-1) + 'um)'
		units0= "watts/m2/steradian/um"  ;sdata.dattrv(1)
		cwlength0=data.dataset(aa).attrval(5)
		;;vrange='0.0, 1.0'
	ENDIF ELSE BEGIN 
		bb= STRING('0'+STRTRIM(ii,1))
		IF (ii GT 9) THEN bb= STRING(STRTRIM(ii,1))
		dname0='Rad'   ;'ABI_Scaled_b'+bb 
			lname0= 'ABI_scaled radiance band' + strtrim(string(ii),1)   + ' ('+ bnumber(ii-1) + 'um)'           ;sdata.dattrv(0)+ ' ('+ bnumber(ii-1) + 'um)'
			units0="milliwatts/m2/steradian/cm-1"   ;;;sdata.dattrv(2)
			cwlength0=data.dataset(aa).attrval(5)
;;; help, data, /structure
		;;vrange1='0.0, 400.0'
	ENDELSE

 scales=[4.933897, 6.307014, 10.630714, 28.296842, 41.825132, 133.168908, 656.028511, 143.505961, 90.507438, 51.112173, 30.261915, 37.602788, 22.241413, 20.554123, 19.242580, 23.841254 ] ;;radiance to scaled radiances
 offsets=[127.968750, 127.968750, 127.968750, 127.968750, 127.968750, 127.968750, 7.478725, 24.281209, 22.373439, 14.674305, 11.829383, 17.361207, 10.976137, 10.593595, 10.125446, 37.492756]
 E_SUN=[1993.660, 1605.9593, 969.7815, 357.3011, 244.7938, 75.3057]  ;(w/(m2.um))





        ff= where(newdata00 LE -998.0, COMPLEMENT=gg)       ;;;; Convert missing count value to 0
        hh= where(newdata00 GE 0)                    ;;; note gg contains those with 'NaN' for band2 and -1.54179 for band 03.
        newdata00(ff)=0 & scaled_data=newdata00             ;;;INTARR(SIZE(datas, /DIMENSIONS) )
        scaled_data(*,*)=-999  ;0.0
        scaled_data(hh)=((newdata00(hh)* DOUBLE(scales[ii-1]))+ DOUBLE(offsets[ii-1]))



     tmp_scale=DOUBLE((1.0/scales[ii-1])) & tmp_offset=DOUBLE(-1.0*(offsets[ii-1]/scales[ii-1]))
     tt=WHERE(scaled_data LE 0)
     scaled_data=ROUND(scaled_data)

newdata00=scaled_data

Time=float(0.001)
IF (ii LE 6) THEN E_SUN=E_SUN(ii-1)  & E_sun_units= 'watts/m2/um'

;print, 'TIME', Time
;;IF (ii LE 6) THEN print, 'E_SUN',E_SUN
    cdfid=ncdf_create(ncoutfile, /clobber)
   
  ;;Dimensions 	         
	ydimid =ncdf_dimdef(cdfid, 'y',  ysize) ;'' 
	xdimid =ncdf_dimdef(cdfid, 'x', xsize)  ;''
	;ldimid =ncdf_dimdef(cdfid, 'line',  yy) ;'' 
  ;edimid =ncdf_dimdef(cdfid, 'element', xx)  ;''
	tdimid =ncdf_dimdef(cdfid, 'number_of_time_bounds', 22)
  bdimid =ncdf_dimdef(cdfid, 'band', 1)
  sdimid =ncdf_dimdef(cdfid, 'number_of_image_bounds', 22)
  stdimid =ncdf_dimdef(cdfid, 'num_star_looks', 24)  

   ;;Variables	
	 dname5='x' & dname6='elements' & dname7='y' & dname8='lines' & dname9='time' & dname12='E_sun'
   lname5='GOES fixed grid projection x-coordinate' & lname6='elements_x_dir' & lname7='GOES fixed grid projection y-coordinate' & lname8='lines_y_dir' & lname9='J2000 epoch mid-point between the start and end image scan in seconds'
	 units5='None' & units6='None' & units7='None' & units8='None' & units9=STRING('seconds since 2000-01-01 12:00:00')  ;+ ayear+'-'+ amonth+'-'+aday+' '+hrs+':'+mins)    ;2005-05-07 0:0:0'  
	 
	 output_time= STRING(ayear+'-'+ amonth+'-'+aday+' '+hrs+':'+mins)  
	 
	 ;;;convert to sting
  s_scale= STRTRIM(STRING(tmp_scale),1)  &  s_offset= STRTRIM(STRING(tmp_offset),1)
   ;;get string length  
  l_scale= STRLEN(s_scale)      &    l_offset= STRLEN(s_offset)
  ;; find position of '.' in sting'
  p_scale_pos=STRPOS(s_scale, '.', /REVERSE_SEARCH)   &   p_offset_pos=STRPOS(s_offset, '.', /REVERSE_SEARCH)
  ;;define "format" 
  f_scale='(f'+ STRTRIM(STRING(l_scale),1)+'.'+STRTRIM(STRING(l_scale -p_scale_pos -1),1)+')'
  f_offset='(f'+ STRTRIM(STRING(l_offset),1)+'.'+STRTRIM(STRING(l_offset -p_offset_pos -1),1)+')'
  
  
  
  ;;;Scaled radiance
  varid0= ncdf_vardef(cdfid, dname0, [xdimid, ydimid], /short) 
  ncdf_attput, cdfid, varid0, 'long_name' , lname0   
  ncdf_attput, cdfid, varid0, 'units' , units0 
  ;ncdf_attput, cdfid, varid0, 'central_wavelength' , FLOAT(cwlength3) 
  ncdf_attput, cdfid, varid0, 'add_offset' , STRING(tmp_offset ,format=f_offset), /DOUBLE ;     '(f11.8)'
  ncdf_attput, cdfid, varid0, 'scale_factor' , STRING(tmp_scale ,format=f_scale), /DOUBLE  ;   '(f13.10)'
  ncdf_attput, cdfid, varid0, 'valid_min' ,  0 ;1     ;-0.10 ;'-0.10, 90000'
  ncdf_attput, cdfid, varid0, '_FillValue' , -999   ;0     ;-0.123173  ;;; -999.0   ;;;;
  ncdf_attput, cdfid, varid0, 'grid_mapping', 'Projection' ;
  ncdf_attput, cdfid, varid0, 'coordinates' , 'band_id band_wavelength t y x' 
  ncdf_attput, cdfid, varid0, 'grid_mapping', 'goes_imager_projection'
  ncdf_attput, cdfid, varid0, 'cell_methods', 't: point area: point'
  ncdf_attput, cdfid, varid0, 'ancillary_variables', 'DQF'


 ;;;;XX ARRAY 
  varid5= ncdf_vardef(cdfid, dname5, [xdimid], /double)
  ncdf_attput, cdfid, varid5, xx.attr(0,0) , xx.attr(1,0)
  ncdf_attput, cdfid, varid5, xx.attr(0,1) , xx.attr(1,1)  
  ncdf_attput, cdfid, varid5, xx.attr(0,2) , FLOAT(STRTRIM(xx.attr(1,2),1))
  ncdf_attput, cdfid, varid5, xx.attr(0,3) , FLOAT(STRTRIM(xx.attr(1,3),1))
  ncdf_attput, cdfid, varid5, 'standard_name', 'projection_x_coordinate'

 ;;;;'; YY ARRAY
  varid7= ncdf_vardef(cdfid, dname7, [ydimid], /double)
  ncdf_attput, cdfid, varid7, yy.attr(0,0) , yy.attr(1,0)
  ncdf_attput, cdfid, varid7, yy.attr(0,1) , yy.attr(1,1)  
  ncdf_attput, cdfid, varid7, yy.attr(0,2) , FLOAT(STRTRIM(yy.attr(1,2),1))
  ncdf_attput, cdfid, varid7, yy.attr(0,3) , FLOAT(STRTRIM(yy.attr(1,3),1))
  ncdf_attput, cdfid, varid7, 'standard_name', 'projection_y_coordinate'
 
 ; varid5= ncdf_vardef(cdfid, dname5, [xdimid], /double) 
 ; ncdf_attput, cdfid, varid5, 'standard_name' , lname5          
 ; ncdf_attput, cdfid, varid5, 'long_name' , 'west-east angle displacement from sub-point to pixel center'
 ; ncdf_attput, cdfid, varid5, 'units' , 'radians'
  
 ; ;;;YY ARRAY
 ; varid7= ncdf_vardef(cdfid, dname7, [ydimid], /double) 
 ; ncdf_attput, cdfid, varid7, 'standard_name' , lname7   
 ; ncdf_attput, cdfid, varid7, 'long_name' , 'south-north angle displacement from sub-point to pixel center'
 ; ncdf_attput, cdfid, varid7, 'units' , 'radians'
  

;;;;;ELEMENTS
; varid6= ncdf_vardef(cdfid, dname6, [xdimid], /short) 
; ncdf_attput, cdfid, varid6, 'long_name' , lname6  
  
;;;;; LINES  
;  varid8= ncdf_vardef(cdfid, dname8, [ydimid], /short) 
;  ncdf_attput, cdfid, varid8, 'long_name' , lname8  


 ;;;; Image start times
  varid9= ncdf_vardef(cdfid, dname9, [tdimid], /float) 
  ncdf_attput, cdfid, varid9, 'long_name' , lname9  
  ncdf_attput, cdfid, varid9, 'units' , units9 
  
 
 
  
  ;;;;;;;;;;;;added for E-SUN    ;;;;;;;;;;;;;
  IF (ii LE 6) THEN BEGIN
    varid12= ncdf_vardef(cdfid, dname12, [bdimid], /float) 
    ncdf_attput, cdfid, varid12, 'long_name' , 'E_SUN'   
    ncdf_attput, cdfid, varid12, 'units' , E_sun_units
 ENDIF
  
  
 ;;Swath data and time
  dname10='swathtimes'  &  lname10='Nominal swath times' 
  varid10= ncdf_vardef(cdfid, dname10, [sdimid], /short) 
  ncdf_attput, cdfid, varid10, 'long_name' , lname10 
  ncdf_attput, cdfid, varid10, 'units' , 'None'  
  ncdf_attput, cdfid, varid10, 'bounds' , 'time_bounds'         
  ;;;;;;;;;;;;;;
  ;;;;Create the swath data and time
  ;;Image day/times,  mesoscale: 2 scans delta_t=3sec
  swathtime=STRARR(2) ; swath start time for eg '2200utc'
  swathtime(0)=hrs+':'+mins+':00'
  swathtime(1)=hrs+':'+mins+':03'

;  dname13='Image times'
;  varid13= ncdf_vardef(cdfid, dname13, [sdimid], /float) 
;  ncdf_attput, cdfid, varid13, 'long_name' , 'Norminal swath times'   
;  ncdf_attput, cdfid, varid13, 'units' , 'None'

 ;;;global variables 
   ; ff=size(data.data.gats.name, /n_elements)
 ff=size(data.gats, /n_elements)
 
 
;;;	FOR k=0, ff-1 DO BEGIN
;;;		ncdf_attput, cdfid, data.data.gats(K).name, STRTRIM(data.data.gats(K).value, 0), /global
;;;	ENDFOR
   	
	;;;;*********************************

		ahistory=  ['S4 CONUS DOMAIN REMAPPED TO GOES-R 2-KM FGF DOMAIN']



;;QUALITY FLAG ARRAY INFORMATIONS
  dname20='DQF'  &  fname20='Quality flag: 0=good, 1=cond. unstable, 2=saturated, 3=missing'
  lname20='ABI L1b Radiances data quality flags'
  
  varid20= ncdf_vardef(cdfid, dname20, [xdimid, ydimid], /short) 
  ncdf_attput, cdfid, varid20, 'long_name' , lname20 
  ncdf_attput, cdfid, varid20, 'flag_meanings' , fname20 
  ncdf_attput, cdfid, varid20, 'units' , 'None' 
  ncdf_attput, cdfid, varid20, '_Unsigned' , 'true'  
  ncdf_attput, cdfid, varid20, 'coordinates' , 'band_id band_wavelength t y x'   
  ncdf_attput, cdfid, varid20, 'grid_mapping', 'goes_imager_projection'
  ncdf_attput, cdfid, varid20, 'cell_methods', 't: point area: point'      
  ;;;;;;;;;;;;;;
  ;
  ;
 ;mic_rad= '2.8e-05'
 ;IF (ii GT 5 OR ii EQ 3) THEN  mic_rad='5.6e-05'
 ;IF (ii EQ 2 ) THEN  mic_rad='1.4e-05'



  
varid11= ncdf_vardef(cdfid, 'goes_imager_projection', /char)  
ncdf_attput, cdfid, varid11, 'long_name', 'GOES ABI Fixed Grid projection'
ncdf_attput, cdfid, varid11, 'grid_mapping_name' , 'geostationary'  ;'FGFProjection' 
ncdf_attput, cdfid, varid11,'perspective_point_height',  35786023.
ncdf_attput, cdfid, varid11,'semi_major_axis', 6378137.
ncdf_attput, cdfid, varid11,'semi_minor_axis', 6356752.31414
ncdf_attput, cdfid, varid11,'inverse_flattening',298.2572221
ncdf_attput, cdfid, varid11, 'latitude_of_projection_origin', 0.
ncdf_attput, cdfid, varid11, 'longitude_of_projection_origin', -75.
ncdf_attput, cdfid, varid11, 'sweep_angle_axis', 'x'
;ncdf_attput, cdfid, varid11, '_CoordinateTransformType' , 'Projection'  
;ncdf_attput, cdfid, varid11,'_CoordinateAxes' ,'y x'   
;ncdf_attput, cdfid, varid11, 'units', 'radians'



;varid11= ncdf_vardef(cdfid, 'Projection', /char)
;ncdf_attput, cdfid, varid11, 'grid_mapping_name' , 'geostationary'  ;'FGFProjection'
;ncdf_attput, cdfid, varid11, 'long_name', 'GOES ABI Fixed Grid projection'
;ncdf_attput, cdfid, varid11, '_CoordinateTransformType' , 'Projection'
;ncdf_attput, cdfid, varid11,'_CoordinateAxes' ,'y x'
;ncdf_attput, cdfid, varid11, 'sweep_angle_axis', 'x'
;ncdf_attput, cdfid, varid11, 'units', 'radians'
;ncdf_attput, cdfid, varid11,'semi_major_axis', 6378.137
;ncdf_attput, cdfid, varid11,'inverse_flattening',298.2572
;ncdf_attput, cdfid, varid11,'perspective_point_height',  35786.03
;ncdf_attput, cdfid, varid11, 'latitude_of_projection_origin', 0.
;ncdf_attput, cdfid, varid11, 'longitude_of_projection_origin', -75.

  
  
  
  
  
  
  

p_time=SYSTIME(0, /UTC)

dyk=2 & dxk=2
;IF (ii EQ 1 OR ii EQ 2 OR ii EQ 3 OR ii EQ 5) THEN BEGIN
;        dyk=1 & dxk=1
;ENDIF


IF (ii LE 6) THEN BEGIN
  ;E_sun_units=' W/(m^2 micrometer)'
  ;E_SUN=STRING(STRTRIM(sdata.E_SUN(ii-1),1)+' '+ STRTRIM(E_sun_units, 1))
  ref_rad=STRING('(Radiance * PI ) / E_sun')
ENDIF


;;;;;;;; Adding more information in the global attributes  10/24/2011;;;;;;;;;;

bpp='12' ;;bit per pixel
IF ii EQ 7 THEN bpp='14'


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;global variables eastconus


    ncdf_attput, cdfid,  'REFERENCE', 'Schaack, T., R. B. Pierce, A. Lenzen, G. Grell, S. Peckham, J. Otkin (2009), High Resolution Coupled RAQMS/WRF-Chem Ozone and Aerosol Simulations for GOES-R Research', /global
  IF (ii LE 6) THEN BEGIN 
    ncdf_attput, cdfid,  'SOLAR_CONSTANT', '2000 ASTM Standard Extraterrestrial Spectrum Reference E-490-00 for a solar constant of 1366.1 W/m**2' ,/global
    ;ncdf_attput, cdfid,  'E_sun', E_SUN, /global
    ncdf_attput, cdfid,  'pi',  '3.14159265', /global
    ncdf_attput, cdfid,  'Reflectance_factor', ref_rad , /global
  ENDIF
    ncdf_attput, cdfid,  'Satellite_name', 'GOES-R'  ,/global
    ncdf_attput, cdfid,  'Instrument', 'ABI'  ,/global
   ; ncdf_attput, cdfid,  'Band Center wavenumbers', 'ABI'  ,/global
    ncdf_attput, cdfid,  'Bits_per_pixel', bpp  ,/global
    ncdf_attput, cdfid,  'Scan_Type', 'Mesoscale'  ,/global   
    ncdf_attput, cdfid,  'Radiance', '(ABI_scaledint* scale_factor) + add_offset', /global
    ncdf_attput, cdfid,  'Conventions', 'CF-1.4'  ,/global
    ncdf_attput, cdfid,  'FM_AUTHOR', 'CRTM', /global
    ncdf_attput, cdfid,  'PROCESSED_DATE', p_time, /global
    ncdf_attput, cdfid,  'FM_CVS_VERSION','Release_Sep09_A', /global
    ncdf_attput, cdfid,  'NWP_MODEL', 'OUTPUT FROM WRF-CHEM MODEL', /global
    ncdf_attput, cdfid,  'GRB_AUTHOR', 'KABA BAH', /global
    ncdf_attput, cdfid,  'NWP_MODEL_AUTHOR', 'TODD SCHAACK', /global
    ncdf_attput, cdfid,  'Earth_sun_distance',1. ,/global 
    ncdf_attput, cdfid,  'nominal_satellite_subpoint_lat',0. ,/global 
    ncdf_attput, cdfid,  'nominal_satellite_subpoint_long',-75. ,/global
    ncdf_attput, cdfid,  'CEN_LAT', 0.0000  ,/global  ;37.99999
   ;ncdf_attput, cdfid,  'CEN_LON',-75.000  ,/global  ;-97.0000
    ncdf_attput, cdfid,  'Resolution_km',2.0  ,/global
    ncdf_attput, cdfid,  'Resolution_mircradians',5.6e-05  ,/global
    ncdf_attput, cdfid,  'Longitude_Subpoint',-75.000  ,/global 
    ncdf_attput, cdfid,  'rotation', 0.     ,/global
    ncdf_attput, cdfid,  'OUTPUT_TIME', output_time+'UTC' ,/global
    
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


		ncdf_control, cdfid, /endef

;;;;
;;;Creat the lines and elements arrays
;lat_sz=1222 & lon_sz=2654
; IF (ii EQ 1  OR ii EQ 2 OR ii EQ 3 OR ii EQ 5) THEN BEGIN
;    lat_sz=2450 & lon_sz=5320
; ENDIF

; pp=size(lats) & qq=size(lons)
; lat_sz=pp[1] & lon_sz=qq[1]
; larr=INTARR(lat_sz) & earr=INTARR(lon_sz)
;FOR aa=0, lat_sz-1 DO BEGIN
;    larr(aa)=lat_sz-aa
;ENDFOR
;  ;earr=larr   ;&  x=xarr & y=yarr
;  FOR bb=0, lon_sz-1 DO BEGIN
;    earr(bb)=lon_sz-bb
;ENDFOR





 ;print, 'min lons:',min(lons), 'max lons:', max(lons)
 ; print, 'min lats:',min(lats), 'max lats:', max(lats)
 ; print, 'min earr:',min(lats), 'max earr:', max(lats)
 ; print, 'min larr:',min(lats), 'max larr:', max(lats)
;help,newdata00
index=where(newdata00 gt 0.)

;;;;;REVERSE THE DATA BEFOR OUTPUTTING: 
  newdata00(*,*)=REVERSE(newdata00(*,*),2)
  
  
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; compute the QF array: 0=good, 3=missicd /ng.
ss=SIZE(newdata00, /DIMENSIONS)
QF_ARR=FLTARR(ss[0],ss[1])

badd=WHERE(newdata00 LE 0, COMPLEMENT=goodd)
QF_ARR(goodd)=0  
QF_ARR(badd)=3

;;;;;;;;;;;;;;;;;;;;;;;;;;;
;QF_ARR(*,*)=REVERSE(QF_ARR(*,*),2)
  
;print,max(newdata00(index)),min(newdata00(index))
  ncdf_varput, cdfid, varid0, newdata00
  ncdf_varput, cdfid, varid20, QF_ARR
	ncdf_varput, cdfid, varid5,  xx.data           ;lons
;	ncdf_varput, cdfid, varid6,  elements.data     ;earr
  ncdf_varput, cdfid, varid7,  yy.data            ;lats
 ; ncdf_varput, cdfid, varid8, lines.data         ;larr
	ncdf_varput, cdfid, varid9, Time
  ncdf_varput, cdfid, varid10, swathtime
	IF (ii LE 6) THEN ncdf_varput, cdfid, varid12, E_SUN

	;ncdf_varput, cdfid, varid3, newdata1
	;IF (ii GT 6) THEN ncdf_varput, cdfid, varid2, newdata2
  
  
 ; print, 'In WRITE_GRB'
 ; print, 'scale: ' ,STRING(scales ,format=f_scale), ' offset: ' , STRING(offsets, format=f_offset)

	ncdf_close, cdfid   
	
	
	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	  spos=STRPOS(outpre,'/',  /REVERSE_SEARCH)
    epos=STRPOS(outpre, '_CRTM',    /REVERSE_SEARCH)
     message0=STRMID(outpre, spos+1, (epos-spos))

   print, message0, ' DONE'

;print,'End'

END































































;;;;;**********************************************************************************************




  
  ;PRINT, 'IN GRB FILE', ii
  ;PRINT, 'SCALED RADIANCE,MIN,    @580,328     MAX'
  ;pp=1327 & qq=611
   ; IF (ii EQ 1 OR ii EQ 2 OR ii EQ 3 OR ii EQ 5) THEN BEGIN
    ;    pp=2654  & qq=1222
    ;ENDIF
  ;PRINT, MIN(newdata0), newdata0(pp,qq), max(newdata0)

;;;;
;;;;	varid4= ncdf_vardef(cdfid, 'lat', [ydimid, xdimid], /float)
;;;;	ncdf_attput, cdfid, varid4, 'long_name' , 'Latitude'   
;;;;	ncdf_attput, cdfid, varid4, 'units' , 'degrees_north' 
;;;;;;;;	ncdf_attput, cdfid, varid4, 'scale_factor' , 0.00001 ;0.0055084899746 ;  0.01
;;;;	ncdf_attput, cdfid, varid4, 'valid_range' , '90.0, -90.0'
;;;;	ncdf_attput, cdfid, varid4, '_FillValue' , -999.0 ;-32768 ;;;;
;;;;
;;;;	varid3= ncdf_vardef(cdfid, 'lon', [ydimid, xdimid], /float)
;;;;	ncdf_attput, cdfid, varid3, 'long_name' , 'Longitude'   
;;;;	ncdf_attput, cdfid, varid3, 'units' , 'degrees_east' 
;;;;;;;;	ncdf_attput, cdfid, varid3, 'scale_factor' , 0.00001 ;0.0055084899746 ;  0.01
;;;;	ncdf_attput, cdfid, varid3, 'valid_range' , '-180.0, 180.0'
;;;;	ncdf_attput, cdfid, varid3, '_FillValue' , -999.0 ;-32768 ;;;;
;;;; 	




;IF (ii GT 6) THEN BEGIN
;  scale2=1.0/sdata.s2 & offset2=sdata.m2
;  varid2= ncdf_vardef(cdfid, dname2, [ydimid, xdimid,tdimid], /short) 
;  ncdf_attput, cdfid, varid2, 'long_name' , lname2   
;  ncdf_attput, cdfid, varid2, 'units' , units2 
;  ;ncdf_attput, cdfid, varid2, 'central_wavelength' , FLOAT(cwlength3) 
;  ncdf_attput, cdfid, varid2, 'add_offset' , STRING(offset2, format='(f3.2)'), /FLOAT ;
;  ncdf_attput, cdfid, varid2, 'coordinates' , 'lat lon'
;  ncdf_attput, cdfid, varid2, 'scale_factor' , STRING(scale2, format='(f4.2)'), /FLOAT 
;  ncdf_attput, cdfid, varid2, 'valid_min' ,  0    ;sdata.m2     ;-0.10 ;'-0.10, 90000'
;  ncdf_attput, cdfid, varid2, '_FillValue' , sdata.m2     ;-0.123173  ;;; -999.0   ;;;;
;  ncdf_attput, cdfid, varid2, 'missing_value', sdata.m2   ; -0.123173    ;;;-999.0  ;;miss1
;  
;;  print,   STRING(sdata.offset, format='(f10.7)')
;;  print,  STRING(scale2, format='(f10.7)')
;ENDIF
;  
;  print,   STRING(sdata.offset, format='(f10.7)')
;  print,  STRING(sdata.scale , format='(f10.7)')
;  
